RPC_GSS_MECH_TO_OID(3)

NAME
rpc_gss_mech_to_oid - Convert a mechanism name to a GSS-API oid

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_mech_to_oid(const char *mech, gss_OID *oid_ret);

DESCRIPTION
This function looks up a mechanism by name by reading the file /etc/gss/mech.

PARAMETERS

mech
    The mechanism name to search for

oid_ret
    If the mechanism is found, the corresponding GSS-API oid is returned in *oid_ret

RETURN VALUES
If the mechanism is found, TRUE is returned, otherwise FALSE.

SEE ALSO
rpc(3), gssapi(3), rpcset_gss(3)

HISTORY
The rpc_gss_mech_to_oid function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.